> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin: apply a status to a date range

> Admin: apply a status to a date range



## OpenAPI

````yaml /api-reference/openapi.json post /api/attendance/employee/{id}/bulk
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/attendance/employee/{id}/bulk:
    post:
      tags:
        - Attendance
      summary: 'Admin: apply a status to a date range'
      description: 'Admin: apply a status to a date range'
      operationId: postApiAttendanceEmployeeByIdBulk
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                to:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                status:
                  type: string
                  enum:
                    - Present
                    - Absent
                    - Leave
                    - Half
                    - WeeklyOff
                    - Holiday
                reason:
                  type: string
                  minLength: 1
              required:
                - from
                - to
                - status
                - reason
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  updated:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - updated
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````